#
# spec file for package slcc-free-release
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugzilla.suse.com/
#

Name:           slcc-free-release
Summary:        SUSE Linux Container Collection - free Stream 
License:        MIT
Group:          System/Fhs
Version:        16.0
Release:        0
# FIXME? or keep this package name
BuildRequires:  skelcd-EULA-slcc-free
Provides:       distribution-release
Provides:       product(SUSE_SLE) = %{version}-%{release}
Provides:       product(SUSE_SLE-SP) = %{version}-%{release}

# bsc#1055299
Conflicts:      otherproviders(distribution-release)

Provides:       %name-%version
Provides:       product() = slcc-free
Provides:       product(slcc-free) = 16.0-1
%ifarch x86_64
Provides:       product-register-target() = sle%2D15%2Dx86_64
%endif
%ifarch aarch64
Provides:       product-register-target() = sle%2D15%2Daarch64
%endif
%ifarch s390x
Provides:       product-register-target() = sle%2D15%2Ds390x
%endif
%ifarch ppc64le
Provides:       product-register-target() = sle%2D15%2Dppc64le
%endif
Provides:       product-label() = SUSE%20Linux%20Container%20Collection%20%2D%20free%20Stream
Provides:       product-cpeid() = cpe%3A%2Fo%3Asuse%3Aslcc%2Dfree%3A16.0
Provides:       product-url(releasenotes) = https%3A%2F%2Fwww.suse.com%2Freleasenotes%2F%{_target_cpu}%2FSL%2DMicro%2F6.0%2Frelease%2Dnotes%2Dsl%2Dmicro.rpm





ExclusiveArch:  x86_64 aarch64 s390x ppc64le

Source100:      weakremovers.inc
%include %{SOURCE100}

%description
SUSE Linux Container Collection - free Stream



%prep

%build

%install
mkdir -p %buildroot/%_sysconfdir

mkdir -p %{buildroot}%{_sysconfdir}
cat >%{buildroot}%{_sysconfdir}/os-release << EOF
NAME="slcc-free"
VERSION="%{version}%{?betaversion: %{betaversion}}"
VERSION_ID="%{version}"
PRETTY_NAME="SUSE Linux Container Collection - free Stream%{?betaversion: (%{betaversion})}"
ID="slcc-free"
ID_LIKE="suse"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:suse:slcc-free:16.0"
EOF


cat << EOF >> %buildroot/%_sysconfdir/os-release
DOCUMENTATION_URL="https://documentation.suse.com/"
EOF

mkdir -p %{buildroot}%{_sysconfdir}/products.d
cat >%{buildroot}%{_sysconfdir}/products.d/slcc-free.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product schemeversion="0">
  <vendor>SUSE</vendor>
  <name>slcc-free</name>
  <version>16.0</version>
  <release>1</release>
  <arch>%{_target_cpu}</arch>
  <cpeid>cpe:/o:suse:slcc-free:16.0</cpeid>
  <productline>SUSE Linux Container Collection</productline>
  <codestream>
    <name>SUSE Linux Container Collection - free Stream</name>
  </codestream>
  <register>
    <pool>
      <repository project="SUSE:Products:SLCC-free:16.0:x86_64" name="images" medium="product" arch="x86_64">
        <zypp name="SLCC-free-16.0-Pool" alias="SLCC-free-16.0-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:aarch64" name="images" medium="product" arch="aarch64">
        <zypp name="SLCC-free-16.0-Pool" alias="SLCC-free-16.0-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:s390x" name="images" medium="product" arch="s390x">
        <zypp name="SLCC-free-16.0-Pool" alias="SLCC-free-16.0-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:ppc64le" name="images" medium="product" arch="ppc64le">
        <zypp name="SLCC-free-16.0-Pool" alias="SLCC-free-16.0-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:x86_64" name="images" medium="debug_product" arch="x86_64">
        <zypp name="SLCC-free-16.0-Debuginfo-Pool" alias="SLCC-free-16.0-Debuginfo-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:aarch64" name="images" medium="debug_product" arch="aarch64">
        <zypp name="SLCC-free-16.0-Debuginfo-Pool" alias="SLCC-free-16.0-Debuginfo-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:s390x" name="images" medium="debug_product" arch="s390x">
        <zypp name="SLCC-free-16.0-Debuginfo-Pool" alias="SLCC-free-16.0-Debuginfo-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:ppc64le" name="images" medium="debug_product" arch="ppc64le">
        <zypp name="SLCC-free-16.0-Debuginfo-Pool" alias="SLCC-free-16.0-Debuginfo-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:x86_64" name="images" medium="source_product" arch="x86_64">
        <zypp name="SLCC-free-16.0-Source-Pool" alias="SLCC-free-16.0-Source-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:aarch64" name="images" medium="source_product" arch="aarch64">
        <zypp name="SLCC-free-16.0-Source-Pool" alias="SLCC-free-16.0-Source-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:s390x" name="images" medium="source_product" arch="s390x">
        <zypp name="SLCC-free-16.0-Source-Pool" alias="SLCC-free-16.0-Source-Pool"/>
      </repository>
      <repository project="SUSE:Products:SLCC-free:16.0:ppc64le" name="images" medium="source_product" arch="ppc64le">
        <zypp name="SLCC-free-16.0-Source-Pool" alias="SLCC-free-16.0-Source-Pool"/>
      </repository>
    </pool>
    <updates>
      <distrotarget arch="x86_64">sle-15-x86_64</distrotarget>
      <distrotarget arch="aarch64">sle-15-aarch64</distrotarget>
      <distrotarget arch="s390x">sle-15-s390x</distrotarget>
      <distrotarget arch="ppc64le">sle-15-ppc64le</distrotarget>
    </updates>
  </register>
  <repositories>
%ifarch x86_64
      <repository type="pool" repoid="obsproduct://build.opensuse.org/SUSE:Products:SLCC-free:16.0:x86_64/slcc-free/16.0/%{_target_cpu}" />
%endif
%ifarch aarch64
      <repository type="pool" repoid="obsproduct://build.opensuse.org/SUSE:Products:SLCC-free:16.0:aarch64/slcc-free/16.0/%{_target_cpu}" />
%endif
%ifarch s390x
      <repository type="pool" repoid="obsproduct://build.opensuse.org/SUSE:Products:SLCC-free:16.0:s390x/slcc-free/16.0/%{_target_cpu}" />
%endif
%ifarch ppc64le
      <repository type="pool" repoid="obsproduct://build.opensuse.org/SUSE:Products:SLCC-free:16.0:ppc64le/slcc-free/16.0/%{_target_cpu}" />
%endif
  </repositories>
  <summary>SUSE Linux Container Collection - free Stream</summary>
  <shortsummary>SUSE Linux Container Collection - free Stream</shortsummary>
  <description>SUSE Linux Container Collection - free Stream</description>
  <linguas>
    <language>en</language>
  </linguas>
  <urls>
    <url name="releasenotes">https://www.suse.com/releasenotes/%{_target_cpu}/SL-Micro/6.0/release-notes-sl-micro.rpm</url>
  </urls>
  <buildconfig>
    <producttheme>SLCC-free</producttheme>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <releasepackage name="%{name}" flag="EQ" version="%{version}" release="%{release}"/>
    <distribution>SUSE</distribution>
  </installconfig>
  <runtimeconfig/>
</product>

EOF




%files
%defattr(644,root,root,755)
%config %_sysconfdir/os-release
%dir %_sysconfdir/products.d
%_sysconfdir/products.d/*

%changelog

